> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/company-api/multi-source-company-api.md).

# Multi-source Company API

## Overview

This section covers basic information on the Multi-source Company API.\
To learn more about the API and its endpoints, follow the links below:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Multi-source Company API endpoints</td><td><a href="/pages/3e135TMMmPiQVQoc5QB5#multi-source-company-api-endpoints">/pages/3e135TMMmPiQVQoc5QB5#multi-source-company-api-endpoints</a></td></tr><tr><td>Rate limits</td><td><a href="/pages/RZWbAkRhAg6r0G5Z2mMf">/pages/RZWbAkRhAg6r0G5Z2mMf</a></td></tr><tr><td>Credits</td><td><a href="/pages/B1zFzH84OnIoh2EnKrvE">/pages/B1zFzH84OnIoh2EnKrvE</a></td></tr></tbody></table>

## Multi-source Company API endpoints

{% hint style="info" %}
Our API is a data retrieval tool. The endpoints do not support analytic features.
{% endhint %}

Multi-source Company API features **three search** and **three collect** endpoints for searching and collecting relevant Multi-source Company data.

{% hint style="warning" %}
All Multi-source Company API requests must be made over HTTPS. Requests made over HTTP will fail or be redirected to HTTPS.
{% endhint %}

Multi-source Company API supports two types of requests:

* **Search** endpoints support POST requests only.
* **Collect** endpoints support the GET requests only.

<table><thead><tr><th width="299.703125">Endpoint</th><th width="299.8984375">Function</th><th>Credits</th></tr></thead><tbody><tr><td>POST <a href="/pages/ClUpiETryZ8jSjWtLo8S"><em>/v2/company_multi_source/search/es_dsl</em></a></td><td>Search for relevant company data using Elasticsearch DSL schema</td><td>Free</td></tr><tr><td>POST <a href="/pages/ClUpiETryZ8jSjWtLo8S"><em>/v2/company_multi_source/semantic_search/es_dsl</em></a></td><td>Search for relevant company data using Elasticsearch DSL schema with applied semantic search</td><td>Free</td></tr><tr><td>POST <a href="/pages/3vpwzNCvx7JHVcHEPB4o"><em>/v2/company_multi_source/search/es_dsl/preview</em></a></td><td>Retrieves a small set of partial data using Elasticsearch queries</td><td>20</td></tr><tr><td>GET <a href="/pages/KAPkyw2FkrVhD7IxqmsT"><em>/v2/company_multi_source/collect/{company_id}</em></a></td><td>Collect Multi-source company data using IDs</td><td>20</td></tr><tr><td>GET <a href="/pages/KAPkyw2FkrVhD7IxqmsT#collection-using-shorthand-names"><em>/v2/company_multi_source/collect/{profile_url/shorthand_name}</em></a></td><td>Collect Multi-source Company data using profile URLs or shorthand names*</td><td>20</td></tr><tr><td>GET <a href="/pages/CDxUytfgtonFoiFBeA9C"><em>/v2/company_multi_source/enrich?website={URL}</em></a></td><td>Collect Multi-source company data using website URLs</td><td>20</td></tr></tbody></table>

\*📌 Full profile URL example: [www.professional-network.com/company/\*\*example-company\*\*.\\](http://www.professional-network.com/company/**example-company**.\\)
Shorthand name example: example-company.

### Bulk Collect

Bulk Collect (Bulk API) expands upon Multi-source Company API's functionality, featuring **two POST** and **two GET** endpoints. Bulk Collect allows you to search and collect company data in bulk using company IDs and Elasticsearch DSL queries.

| Request type | Endpoint                                                                                                                                              |
| ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| POST         | [*/v2/data\_requests/company\_multi\_source/ids*](/company-api/multi-source-company-api/bulk-collect/post-requests.md#ids-requests)                   |
| POST         | [*/v2/data\_requests/company\_multi\_source/es\_dsl*](/company-api/multi-source-company-api/bulk-collect/post-requests.md#elasticsearch-dsl-requests) |
| GET          | */v2/data\_requests/{data\_request\_id}/files*                                                                                                        |
| GET          | */v2/data\_requests/{data\_request\_id}/files/{file\_name}*                                                                                           |

Read more about Bulk Collect in the following article:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Bulk Collect</td><td><a href="/pages/0745FD54hyv4nCiKa7Pg">/pages/0745FD54hyv4nCiKa7Pg</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coresignal.com/company-api/multi-source-company-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
